# Interface AuthConfigFactory.RegistrationContext

Enclosing class:
  `AuthConfigFactory`

public static interface AuthConfigFactory.RegistrationContext
Provides information about a registered `AuthConfigProvider`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAppContext()`
  Returns the application context for this registration.
  `String`
  `getDescription()`
  Returns the description of this registration.
  `String`
  `getMessageLayer()`
  Returns the message layer for this registration.
  `boolean`
  `isPersistent()`
  Indicates whether this registration persists beyond the current container lifecycle.

- ## Method Details

  - ### getMessageLayer

    String getMessageLayer()
    Returns the message layer for this registration.
    Returns:
      the message layer

  - ### getAppContext

    String getAppContext()
    Returns the application context for this registration.
    Returns:
      the application context

  - ### getDescription

    String getDescription()
    Returns the description of this registration.
    Returns:
      the description

  - ### isPersistent

    boolean isPersistent()
    Indicates whether this registration persists beyond the current container lifecycle.
    Returns:
      `true` if the registration is persistent, `false` otherwise